Project Chrono: chrono::vehicle::hmmwv::HMMWV Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
chrono::vehicle::hmmwv::HMMWV Class Referenceabstract
Models » Vehicle models » HMMWV

## Description

Definition of the HMMWV assembly.

This class encapsulates a concrete wheeled vehicle model with parameters corresponding to a HMMWV, the powertrain model, and the 4 tires. It provides wrappers to access the different systems and subsystems, functions for specifying the driveline, powertrain, and tire types, as well as functions for controlling the visualization mode of each component. Note that this is an abstract class which cannot be instantiated. Instead, use one of the concrete classes HMMWV_Full or HMMWV_Reduced.

`#include <HMMWV.h>`

Inheritance diagram for chrono::vehicle::hmmwv::HMMWV:
[legend]
Collaboration diagram for chrono::vehicle::hmmwv::HMMWV:
[legend]

## Public Member Functions
void | SetContactMethod (ChContactMethod val)
void | SetCollisionSystemType (ChCollisionSystem::Type collsys_type)
void | SetChassisFixed (bool val)
void | SetChassisCollisionType (CollisionType val)
void | SetSteeringType (SteeringTypeWV val)
void | SetDriveType (DrivelineTypeWV val)
void | SetBrakeType (BrakeType brake_type)
void | SetEngineType (EngineModelType val)
void | SetTransmissionType (TransmissionModelType val)
void | SetTireType (TireModelType val)
void | SetTireCollisionType (ChTire::CollisionType collision_type)
void | SetInitPosition (const ChCoordsys<> &pos)
void | SetInitFwdVel (double fwdVel)
void | SetInitWheelAngVel (const std::vector< double > &omega)
void | SetTireStepSize (double step_size)
void | EnableBrakeLocking (bool lock)
ChSystem * | GetSystem () const
ChWheeledVehicle & | GetVehicle () const
std::shared_ptr< ChChassis > | GetChassis () const
std::shared_ptr< ChBodyAuxRef > | GetChassisBody () const
const ChFrameMoving & | GetRefFrame () const
void | Initialize ()
void | LockAxleDifferential (int axle, bool lock)
void | LockCentralDifferential (int which, bool lock)
void | SetAerodynamicDrag (double Cd, double area, double air_density)
void | SetChassisVisualizationType (VisualizationType vis)
void | SetSuspensionVisualizationType (VisualizationType vis)
void | SetSteeringVisualizationType (VisualizationType vis)
void | SetWheelVisualizationType (VisualizationType vis)
void | SetTireVisualizationType (VisualizationType vis)
void | Synchronize (double time, const DriverInputs &driver_inputs, const ChTerrain &terrain)
void | Advance (double step)

## Protected Member Functions
| HMMWV (ChSystem *system)
virtual HMMWV_Vehicle * | CreateVehicle ()=0

## Protected Attributes
ChContactMethod | m_contactMethod
ChCollisionSystem::Type | m_collsysType
CollisionType | m_chassisCollisionType
bool | m_fixed
bool | m_brake_locking
SteeringTypeWV | m_steeringType
DrivelineTypeWV | m_driveType
EngineModelType | m_engineType
TransmissionModelType | m_transmissionType
BrakeType | m_brake_type
TireModelType | m_tireType
ChTire::CollisionType | m_tire_collision_type
double | m_tire_step_size
ChCoordsys | m_initPos
double | m_initFwdVel
std::vector< double > | m_initOmega
bool | m_apply_drag
double | m_Cd
double | m_area
double | m_air_density
ChSystem * | m_system
HMMWV_Vehicle * | m_vehicle
double | m_tire_mass

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/hmmwv/HMMWV.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/hmmwv/HMMWV.cpp